Index: /branches/dev_001_GM/NEMO/TOP_SRC/SMS/trclsm.cfc.h90
===================================================================
--- /branches/dev_001_GM/NEMO/TOP_SRC/SMS/trclsm.cfc.h90	(revision 762)
+++ /branches/dev_001_GM/NEMO/TOP_SRC/SMS/trclsm.cfc.h90	(revision 763)
@@ -1,10 +1,20 @@
    !!----------------------------------------------------------------------
-   !!                    ***  trclsm.cfc.h90 ***
+   !!                     ***  trclsm.cfc.h90  ***  
+   !! TOP :   Definition some run parameter for CFC chemical model
    !!----------------------------------------------------------------------
+   !! History :   1.0  !  2003-08 (C. Ethe)  Original code
+   !!----------------------------------------------------------------------
+
+   !!----------------------------------------------------------------------
+   !! NEMO/TOP 1.0 , LOCEAN-IPSL (2005) 
+   !! $Id $ 
+   !! Software governed by the CeCILL licence (modipsl/doc/NEMO_CeCILL.txt)
+   !!----------------------------------------------------------------------
+
 CONTAINS
 
    SUBROUTINE trc_lsm
       !!-------------------------------------------------------------------
-      !!                  ***  ROUTINE trc_lsm ***
+      !!                  ***  ROUTINE trc_lsm  ***
       !!                 
       !! ** Purpose :   Definition some run parameter for CFC model
@@ -14,48 +24,29 @@
       !!
       !! ** input   :   Namelist namcfc
+      !!----------------------------------------------------------------------
+      CHARACTER (len=32) ::   clname = 'namelist.trc.sms'
+      INTEGER ::   numnat
       !!
-      !! history :
-      !!   2.0  !  03-08 (C. Ethe)  Original code
-      !!----------------------------------------------------------------------
-      !!  TOP 1.0 , LOCEAN-IPSL (2005) 
-   !! $Header$ 
-   !! This software is governed by the CeCILL licence see modipsl/doc/NEMO_CeCILL.txt 
-      !!----------------------------------------------------------------------
-
-      CHARACTER (len=32) ::  &
-         clname = 'namelist.trc.sms'
-      INTEGER ::  &
-         numnat
-
-      NAMELIST/namdates/ndate_beg, nyear_res
+      NAMELIST/namdates/ ndate_beg, nyear_res
       !!-------------------------------------------------------------------
 
-      ndate_beg = 300101
+      ndate_beg = 300101            ! default namelist value
       nyear_res = 1950
 
-      IF(lwp) THEN
-         WRITE(numout,*) ' '
-         WRITE(numout,*) ' Namelist for CFC model'
-         WRITE(numout,*) ' ***********************'
-         WRITE(numout,*) ' '
-      ENDIF
-
+      !                             ! Open namelist file
       CALL ctlopn( numnat, clname, 'OLD', 'FORMATTED', 'SEQUENTIAL',   &
          &           1, numout, .FALSE., 1 )
-      READ( numnat , namdates )
+         
+      READ( numnat , namdates )     ! read namelist
 
-      IF(lwp) THEN
+      IF(lwp) THEN                  ! control print
          WRITE(numout,*)
-         WRITE(numout,*) ' trc_lsm: Namelist parameter'
-         WRITE(numout,*) ' ~~~~~~~~~~~~~~'
-         WRITE(numout,*) '  initial calendar date (aammjj) for CFC  ndate_beg = ', ndate_beg
-         WRITE(numout,*) '  restoring time constant (year)          nyear_res = ', nyear_res
+         WRITE(numout,*) ' trc_lsm: Read namdates, namelist for CFC chemical model'
+         WRITE(numout,*) ' ~~~~~~~'
+         WRITE(numout,*) '    initial calendar date (aammjj) for CFC  ndate_beg = ', ndate_beg
+         WRITE(numout,*) '    restoring time constant (year)          nyear_res = ', nyear_res
       ENDIF
       nyear_beg = ndate_beg / 10000
-      IF(lwp) THEN
-         WRITE(numout,*) '  initial year (aa)                       nyear_beg = ', nyear_beg
-         WRITE(numout,*) ' '
-      ENDIF
-
+      IF(lwp) WRITE(numout,*) '    initial year (aa)                       nyear_beg = ', nyear_beg
+      !
    END SUBROUTINE trc_lsm
-
Index: /branches/dev_001_GM/NEMO/TOP_SRC/SMS/trclsm.lobster1.h90
===================================================================
--- /branches/dev_001_GM/NEMO/TOP_SRC/SMS/trclsm.lobster1.h90	(revision 762)
+++ /branches/dev_001_GM/NEMO/TOP_SRC/SMS/trclsm.lobster1.h90	(revision 763)
@@ -1,69 +1,58 @@
-!!----------------------------------------------------------------------
-!!                    ***  trclsm.lobster1.h90 ***
-!!----------------------------------------------------------------------
+   !!----------------------------------------------------------------------
+   !!                     ***  trclsm.lobster1.h90  ***  
+   !! TOP :   Definition some run parameter for LOBSTER biological model
+   !!----------------------------------------------------------------------
+   !! History :    -  !  1999-10 (M.A. Foujols, M. Levy) original code
+   !!              -  !  2000-12 (O. Aumont, E. Kestenare) add sediments
+   !!             1.0 !  2003-08 (C. Ethe)  Original code
+   !!----------------------------------------------------------------------
+
+   !!----------------------------------------------------------------------
+   !! NEMO/TOP 1.0 , LOCEAN-IPSL (2005) 
+   !! $Id $ 
+   !! Software governed by the CeCILL licence (modipsl/doc/NEMO_CeCILL.txt)
+   !!----------------------------------------------------------------------
+
 CONTAINS
 
    SUBROUTINE trc_lsm
       !!----------------------------------------------------------------------
-      !!                        trclsm.lobster1.h
-      !!                     **********************
+      !!                     ***  trc_lsm  ***  
       !!
-      !!  PURPOSE :
-      !!  ---------
-      !!     READS the specific NAMELIST for LOBSTER1 model
+      !! ** Purpose :   read LOBSTER namelist
       !!
-      !!   WORKSPACE :                : no
-      !!   ---------
+      !! ** input   :   file 'namelist.trc.sms' containing the following
+      !!             namelist: natbio, natopt, and natdbi ("key_trc_diabio")
+      !!----------------------------------------------------------------------
+      CHARACTER (len=32) :: clname
       !!
-      !!   MODIFICATIONS:
-      !!   --------------
-      !!      original  : 99-10 (M.A. Foujols, M. Levy) passive tracer
-      !!      additions : 00-12 (O. Aumont, E. Kestenare) add sediments
-      !! ----------------------------------------------------------------------
-      !! local declarations
-      !! ==================
-      CHARACTER (len=32) :: clname
-
-      !!---------------------------------------------------------------------
-      !!  TOP 1.0 , LOCEAN-IPSL (2005) 
-   !! $Header$ 
-   !! This software is governed by the CeCILL licence see modipsl/doc/NEMO_CeCILL.txt 
-      !!---------------------------------------------------------------------
-
-      ! 0. initializations
-      ! ------------------
-     NAMELIST/natbio/apmin,azmin,anmin,admin,   &
-      &   redf,reddom,slopet,toptp,psinut,akno3,aknh4,rcchl,        &
-      &   rgamma,toptgz,tmaxgz,rgz,             &
-      &   rppz,taus,aks,filmax,rpnaz,rdnaz,eggzoo,tauzn,   &
-      &   tmmaxp,tmminp,tmmaxz,tmminz,anumin,afdmin,taudn,   &
-      &   vsed,tmumax,aki,tmaxr,tminr, taunn, taudomn,xhr,   &
-      &   sedlam, sedlostpoc,  &
-      &    fphylab,fzoolab,fdetlab,fdbod
-      NAMELIST/natopt/xkg0,xkr0,xkgp,xkrp,xlg,xlr,rpig
+      NAMELIST/natbio/ apmin, azmin, anmin, admin,                       &
+         &   redf, reddom, slopet, toptp, psinut, akno3, aknh4, rcchl,   &
+         &   rgamma, toptgz, tmaxgz, rgz,                                &
+         &   rppz, taus, aks, filmax, rpnaz, rdnaz, eggzoo, tauzn,       &
+         &   tmmaxp, tmminp, tmmaxz, tmminz, anumin, afdmin, taudn,      &
+         &   vsed, tmumax, aki, tmaxr, tminr, taunn, taudomn, xhr,       &
+         &   sedlam, sedlostpoc,                                         &
+         &   fphylab, fzoolab, fdetlab, fdbod
+      NAMELIST/natopt/ xkg0, xkr0, xkgp, xkrp, xlg, xlr, rpig
 #if defined key_trc_diabio
       INTEGER :: ji
       NAMELIST/natdbi/ctrbio,ctrbil,ctrbiu,nwritebio
 #endif
-
-      IF(lwp) THEN
-         WRITE(numout,*) ' '
-         WRITE(numout,*) ' ROUTINE trclsm'
-         WRITE(numout,*) ' **************'
-         WRITE(numout,*) ' '
-         WRITE(numout,*) ' namelist for lobster1 model'
-         WRITE(numout,*) ' ***************************'
-         WRITE(numout,*) ' '
-      ENDIF
-
-
+      !!----------------------------------------------------------------------
+
+      IF(lwp) WRITE(numout,*)
+      IF(lwp) WRITE(numout,*) ' trc_lsm : read LOBSTER 1 namelists'
+      IF(lwp) WRITE(numout,*) ' ~~~~~~~'
+
+      !                               ! Open the namelist file
+      !                               ! ----------------------
       clname ='namelist.trc.sms'
       CALL ctlopn( numnat, clname, 'OLD', 'FORMATTED', 'SEQUENTIAL',   &
          &           1, numout, .FALSE., 1 )
 
-      ! 1.4 namelist natbio : biological parameters
-      ! -------------------------------------------
-
-      apmin = 0.
+      !                               ! natbio : biological parameters
+      !                               ! ------------------------------
+      apmin = 0.                           ! default values
       azmin = 0.
       anmin = 0.
@@ -111,110 +100,58 @@
       fdbod = 0.
 
-      READ(numnat,natbio)
+      REWIND( numnat )                     ! read natbio
+      READ  ( numnat, natbio )
 
       IF(lwp) THEN
-          WRITE(numout,*) 'natbio'
-          WRITE(numout,*) ' '
-          WRITE(numout,*)     &
-          &   ' minimum phytoplancton concentration  apmin =', apmin
-          WRITE(numout,*)     &
-          &   ' minimum zooplancton   concentration  azmin =', azmin
-          WRITE(numout,*)     &
-          &   ' minimum nutrients     concentration  anmin =', anmin
-          WRITE(numout,*)     &
-          &   ' minimum detritus      concentration  admin =', admin
-          WRITE(numout,*)     &
-          &   ' redfield ratio  c:n                   redf =', redf
-          WRITE(numout,*)     &
-          &   ' van t hoff coefficient              slopet =', slopet
-          WRITE(numout,*)     &
-          &   ' optimal photosynthesis temperature   toptp =', toptp
-          WRITE(numout,*)     &
-          &   ' inhibition of no3 uptake by nh4      psinut =', psinut
-          WRITE(numout,*)     &
-          &   ' half-saturation nutrient for no3 uptake   akno3 =', akno3
-          WRITE(numout,*)     &
-          &   ' half-saturation nutrient for nh4 uptake   aknh4 =', aknh4
-          WRITE(numout,*)     &
-          &   ' carbone/chlorophyl ratio             rcchl =', rcchl
-          WRITE(numout,*)     &
-          &   ' phytoplankton exudation fraction    rgamma =', rgamma
-          WRITE(numout,*)     &
-          &   ' optimal temperature for zoo growth  toptgz =', toptgz
-          WRITE(numout,*)     &
-          &   ' maximal temperature for zoo growth  tmaxgz =', tmaxgz
-          WRITE(numout,*)     &
-          &   ' widtht of zoo temperature FUNCTION     rgz =', rgz
-          WRITE(numout,*)     &
-          &   ' zoo preference for phyto              rppz =', rppz
-          WRITE(numout,*)     &
-          &   ' maximal zoo grazing rate              taus =',86400*taus
-          WRITE(numout,*)     &
-          &   ' half saturation constant for zoo food  aks =', aks
-          WRITE(numout,*)     &
-          &   ' maximal mass clearance rate for zoo filmax =', filmax
-          WRITE(numout,*)     &
-          &   ' non-assimilated phyto by zoo         rpnaz =', rpnaz
-          WRITE(numout,*)     &
-          &   ' non-assimilated detritus by zoo      rdnaz =', rdnaz
-          WRITE(numout,*)     &
-          &   ' minimum  for zoo concentration      eggzoo =', eggzoo
-          WRITE(numout,*)     &
-          &   ' zoo specific excretion rate          tauzn =',86400   &
-          &   *tauzn
-          WRITE(numout,*)     &
-          &   ' maximal phyto mortality rate        tmmaxp =',86400   &
-          &   *tmmaxp
-          WRITE(numout,*)     &
-          &   ' minimal phyto mortality rate        tmminp =',86400   &
-          &   *tmminp
-          WRITE(numout,*)     &
-          &   ' maximal zoo mortality rate          tmmaxz =',86400   &
-          &   *tmmaxz
-          WRITE(numout,*)     &
-          &   ' minimal zoo mortality rate          tmminz =',86400   &
-          &   *tmminz
-          WRITE(numout,*)     &
-          &   ' nutrient threshold for phyto mort   anumin =', anumin
-          WRITE(numout,*)     &
-          &   ' food threshold for zoo mort         afdmin =', afdmin
-          WRITE(numout,*)     &
-          &   ' detrital breakdown rate              taudn =',86400   &
-          &   *taudn
-          WRITE(numout,*)     &
-          &   ' detritus sedimentation speed          vsed =',86400*vsed
-          WRITE(numout,*)     &
-          &   ' phyto max growth rate               tmumax =',86400   &
-          &   *tmumax
-          WRITE(numout,*)     &
-          &   ' light hlaf saturation constant         aki =', aki
-          WRITE(numout,*)     &
-          &   ' maximum damping for d z or p         tmaxr =', tmaxr
-          WRITE(numout,*)     &
-          &   ' damping-remineralisation rate        tminr =', tminr
-          WRITE(numout,*)     & 
-          &   ' nitrification rate                   taunn =', taunn
-          WRITE(numout,*)     & 
-          &   ' dom remineralisation rate          taudomn =', taudomn
-          WRITE(numout,*)     & 
-          &   ' coeff for martin''s remineralistion    xhr =', xhr
-          WRITE(numout,*)     & 
-          &   ' time coeff of POC in sediments      sedlam =', sedlam
-          WRITE(numout,*)     &
-          &   ' Sediment geol loss for POC  sedlostpoc =', sedlostpoc
-          WRITE(numout,*)     &
-          & ' NH4 fraction of phytoplankton exsudation fphylab =', fphylab
-          WRITE(numout,*)     &
-          & ' NH4 fraction of zooplankton excretion fzoolab =', fzoolab
-          WRITE(numout,*)     &
-          & ' NH4 fraction of detritus dissolution  fdetlab =', fdetlab
-          WRITE(numout,*)     &
-          & ' Zooplankton mortality fraction that goes to detritus fdbod =', fdbod
+          WRITE(numout,*) ' Namelist natbio'
+          WRITE(numout,*) '    minimum phytoplancton concentration                  apmin     =', apmin
+          WRITE(numout,*) '    minimum zooplancton   concentration                  azmin     =', azmin
+          WRITE(numout,*) '    minimum nutrients     concentration                  anmin     =', anmin
+          WRITE(numout,*) '    minimum detritus      concentration                  admin     =', admin
+          WRITE(numout,*) '    redfield ratio  c:n                                  redf      =', redf
+          WRITE(numout,*) '    van t hoff coefficient                               slopet    =', slopet
+          WRITE(numout,*) '    optimal photosynthesis temperature                   toptp     =', toptp
+          WRITE(numout,*) '    inhibition of no3 uptake by nh4                      psinut    =', psinut
+          WRITE(numout,*) '    half-saturation nutrient for no3 uptake              akno3     =', akno3
+          WRITE(numout,*) '    half-saturation nutrient for nh4 uptake              aknh4     =', aknh4
+          WRITE(numout,*) '    carbone/chlorophyl ratio                             rcchl     =', rcchl
+          WRITE(numout,*) '    phytoplankton exudation fraction                     rgamma    =', rgamma
+          WRITE(numout,*) '    optimal temperature for zoo growth                   toptgz    =', toptgz
+          WRITE(numout,*) '    maximal temperature for zoo growth                   tmaxgz    =', tmaxgz
+          WRITE(numout,*) '    widtht of zoo temperature FUNCTION                   rgz       =', rgz
+          WRITE(numout,*) '    zoo preference for phyto                             rppz      =', rppz
+          WRITE(numout,*) '    maximal zoo grazing rate                             taus      =', 86400 * taus, ' d'
+          WRITE(numout,*) '    half saturation constant for zoo food                aks       =', aks
+          WRITE(numout,*) '    maximal mass clearance rate for zoo                  filmax    =', filmax
+          WRITE(numout,*) '    non-assimilated phyto by zoo                         rpnaz     =', rpnaz
+          WRITE(numout,*) '    non-assimilated detritus by zoo                      rdnaz     =', rdnaz
+          WRITE(numout,*) '    minimum  for zoo concentration                       eggzoo    =', eggzoo
+          WRITE(numout,*) '    zoo specific excretion rate                          tauzn     =', 86400 * tauzn
+          WRITE(numout,*) '    maximal phyto mortality rate                         tmmaxp    =', 86400 * tmmaxp
+          WRITE(numout,*) '    minimal phyto mortality rate                         tmminp    =', 86400 * tmminp
+          WRITE(numout,*) '    maximal zoo mortality rate                           tmmaxz    =', 86400 * tmmaxz
+          WRITE(numout,*) '    minimal zoo mortality rate                           tmminz    =', 86400 * tmminz
+          WRITE(numout,*) '    nutrient threshold for phyto mort                    anumin    =', anumin
+          WRITE(numout,*) '    food threshold for zoo mort                          afdmin    =', afdmin
+          WRITE(numout,*) '    detrital breakdown rate                              taudn     =', 86400 * taudn , ' d'
+          WRITE(numout,*) '    detritus sedimentation speed                         vsed      =', 86400 * vsed  , ' d'
+          WRITE(numout,*) '    phyto max growth rate                                tmumax    =', 86400 * tmumax, ' d'
+          WRITE(numout,*) '    light hlaf saturation constant                       aki       =', aki
+          WRITE(numout,*) '    maximum damping for d z or p                         tmaxr     =', tmaxr
+          WRITE(numout,*) '    damping-remineralisation rate                        tminr     =', tminr
+          WRITE(numout,*) '    nitrification rate                                   taunn     =', taunn
+          WRITE(numout,*) '    dom remineralisation rate                            taudomn   =', taudomn
+          WRITE(numout,*) '    coeff for martin''s remineralistion                  xhr       =', xhr
+          WRITE(numout,*) '    time coeff of POC in sediments                       sedlam    =', sedlam
+          WRITE(numout,*) '    Sediment geol loss for POC                           sedlostpoc=', sedlostpoc
+          WRITE(numout,*) '    NH4 fraction of phytoplankton exsudation             fphylab   =', fphylab
+          WRITE(numout,*) '    NH4 fraction of zooplankton excretion                fzoolab   =', fzoolab
+          WRITE(numout,*) '    NH4 fraction of detritus dissolution                 fdetlab   =', fdetlab
+          WRITE(numout,*) '    Zooplankton mortality fraction that goes to detritus fdbod     =', fdbod
       ENDIF
 
-      ! 1.5 namelist natopt : parameters for optic
-      ! ------------------------------------------
-
-      xkg0  = 0.
+      !                               ! natopt : optical parameters
+      !                               ! ---------------------------
+      xkg0  = 0.                           ! default values
       xkr0  = 0.
       xkgp  = 0.
@@ -224,57 +161,45 @@
       rpig  = 0.
 
-      READ(numnat,natopt)
+      REWIND( numnat )                     ! read natopt
+      READ  ( numnat, natopt )       
+
+      IF(lwp) THEN                         ! control print
+         WRITE(numout,*)
+         WRITE(numout,*) ' Namelist natopt'
+         WRITE(numout,*) '    green   water absorption coeff                       xkg0  = ', xkg0
+         WRITE(numout,*) '    red water absorption coeff                           xkr0  = ', xkr0
+         WRITE(numout,*) '    pigment red absorption coeff                         xkrp  = ', xkrp
+         WRITE(numout,*) '    pigment green absorption coeff                       xkgp  = ', xkgp
+         WRITE(numout,*) '    green chl exposant                                   xlg   = ', xlg
+         WRITE(numout,*) '    red   chl exposant                                   xlr   = ', xlr
+         WRITE(numout,*) '    chla/chla+phea ratio                                 rpig  = ', rpig
+      ENDIF
+
+#if defined key_trc_diabio
+
+      !                               ! natdbi : bio diagnostics
+      !                               ! ------------------------
+      nwritebio = 10                     ! default values
+      DO ji = 1, jpdiabio
+         IF(     ji <  10 ) THEN   ;   WRITE (ctrbio(ji),'("BIO_",I1)') ji      ! short name
+         ELSEIF (ji < 100 ) THEN   ;   WRITE (ctrbio(ji),'("BIO_",I2)') ji   
+         ELSE                      ;   WRITE (ctrbio(ji),'("BIO_",I3)') ji
+         ENDIF
+         WRITE(ctrbil(ji),'("BIOLOGICAL TREND NUMBER ",I2)') ji                 ! long name
+         ctrbiu(ji) = 'mmoleN/m3/s '                                            ! units
+      END DO
+
+      REWIND( numnat )                     ! read natdbi
+      READ  ( numnat, natdbi )  
 
       IF(lwp) THEN
-         WRITE(numout,*) 'natopt'
-         WRITE(numout,*) ' '
-         WRITE(numout,*) ' green   water absorption coeff  xkg0  = ',xkg0
-         WRITE(numout,*) ' red water absorption coeff      xkr0  = ',xkr0
-         WRITE(numout,*) ' pigment red absorption coeff    xkrp  = ',xkrp
-         WRITE(numout,*) ' pigment green absorption coeff  xkgp  = ',xkgp
-         WRITE(numout,*) ' green chl exposant              xlg   = ',xlg
-         WRITE(numout,*) ' red   chl exposant              xlr   = ',xlr
-         WRITE(numout,*) ' chla/chla+phea ratio            rpig  = ',rpig
-         WRITE(numout,*) ' '
-
-      ENDIF
-
-#if defined key_trc_diabio
-
-      ! NAMELIST : natdbi 
-
-      ! default name for biological trends : short and long name, units
-
-      DO ji=1,jpdiabio
-         IF (ji < 10) THEN 
-            WRITE (ctrbio(ji),'("BIO_",I1)') ji
-         ELSE IF (ji < 100) THEN
-            WRITE (ctrbio(ji),'("BIO_",I2)') ji
-         ELSE
-            WRITE (ctrbio(ji),'("BIO_",I3)') ji
-         ENDIF
-         WRITE (ctrbil(ji),'("BIOLOGICAL TREND NUMBER ",I2)') ji
-         ctrbiu(ji)='mmoleN/m3/s '
-      END DO
-
-      nwritebio = 10
-
-      READ(numnat,natdbi)
-
-      IF(lwp) THEN
-         WRITE(numout,*) 'natdbi'
-         WRITE(numout,*) ' '
-         WRITE(numout,*)      &
-            &   ' frequency of outputs for biological outputs = '    &
-            &   ,nwritebio
-         WRITE(numout,*) ' '
-         DO ji=1,jpdiabio
-            WRITE(numout,*)     &
-               &   'name of biological trend number :',ji,' : ',ctrbio(ji)  
-            WRITE(numout,*) ctrbil(ji)  
-            WRITE(numout,*) ' in unit = ',ctrbiu(ji)
+         WRITE(numout,*)
+         WRITE(numout,*) ' Namelist natdbi'
+         WRITE(numout,*) '    frequency of outputs for biological outputs  nwritebio = ', nwritebio
+         DO ji = 1, jpdiabio
+            WRITE(numout,*) '     name of biological trend No :',ji,' : ',ctrbio(ji), ctrbil(ji), ' in ', ctrbiu(ji)
          END DO
       END IF
 #endif
-
+      !
    END SUBROUTINE trc_lsm
